## Tutorials

* [Quick start](tutorial/quick-start.md)
* [Application distribution](tutorial/application-distribution.md)
* [Use native node modules](tutorial/use-native-node-modules.md)

## API references

* [Synopsis](api/synopsis.md)
* [Process object](api/process.md)

Modules for browser side:

* [app](api/app.md)
* [auto-updater](api/auto-updater.md)
* [browser-window](api/browser-window.md)
* [dialog](api/dialog.md)
* [ipc (browser)](api/ipc-browser.md)
* [menu](api/menu.md)
* [menu-item](api/menu-item.md)
* [power-monitor](api/power-monitor.md)
* [protocol](api/protocol.md)
* [tray](api/tray.md)

Modules for web page:

* [ipc (renderer)](api/ipc-renderer.md)
* [remote](api/remote.md)
* [web-view](api/web-view.md)

Modules for both sides:

* [clipboard](api/clipboard.md)
* [crash-reporter](api/crash-reporter.md)
* [screen](api/screen.md)
* [shell](api/shell.md)

## Development

* [Coding style](development/coding-style.md)
* [Source code directory structure](development/source-code-directory-structure.md)
* [Technical differences to node-webkit](development/atom-shell-vs-node-webkit.md)
* [Build instructions (Mac)](development/build-instructions-mac.md)
* [Build instructions (Windows)](development/build-instructions-windows.md)
* [Build instructions (Linux)](development/build-instructions-linux.md)
